ConnectTimeoutException (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.ConnectTimeoutException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class ConnectTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.InterruptedIOException
                      org.apache.commons.httpclient.ConnectTimeoutException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConnectionPoolTimeoutException

    public class ConnectTimeoutException

extends InterruptedIOException

A timeout while connecting to an HTTP server or waiting for an available connection from an HttpConnectionManager.

Since:
  3.0
Author:
  Laura Werner
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.InterruptedIOException
`bytesTransferred`

Constructor Summary
`ConnectTimeoutException()` Creates a ConnectTimeoutException with a `null` detail message.
`ConnectTimeoutException(String message)` Creates a ConnectTimeoutException with the specified detail message.
`ConnectTimeoutException(String message, Throwable cause)` Creates a new ConnectTimeoutException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectTimeoutException

    public ConnectTimeoutException()

  Creates a ConnectTimeoutException with a `null` detail message.

### ConnectTimeoutException

    public ConnectTimeoutException(String message)

  Creates a ConnectTimeoutException with the specified detail message.

  Parameters:
    `message` - The exception detail message

### ConnectTimeoutException

    public ConnectTimeoutException(String message,
                                   Throwable cause)

  Creates a new ConnectTimeoutException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.